Bug 182674

Summary: Add support for configuring WebsiteDatastore service worker and cache storage path
Product: WebKit Reporter: youenn fablet <youennf>
Component: Service WorkersAssignee: youenn fablet <youennf>
Status: RESOLVED FIXED    
Severity: Normal CC: achristensen, beidson, cdumez, commit-queue, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch none

Description youenn fablet 2018-02-11 09:47:59 PST
Add support for configuring WebsiteDatastore service worker and cache storage path
Comment 1 youenn fablet 2018-02-11 09:51:15 PST
Created attachment 333569 [details]
Patch
Comment 2 WebKit Commit Bot 2018-02-13 16:08:45 PST
Comment on attachment 333569 [details]
Patch

Clearing flags on attachment: 333569

Committed r228442: <https://trac.webkit.org/changeset/228442>
Comment 3 WebKit Commit Bot 2018-02-13 16:08:46 PST
All reviewed patches have been landed.  Closing bug.
Comment 4 Radar WebKit Bug Importer 2018-02-13 16:09:47 PST
<rdar://problem/37517744>
Comment 5 Alexey Proskuryakov 2018-02-14 13:23:18 PST
Comment on attachment 333569 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=333569&action=review

> Source/WebKit/UIProcess/API/Cocoa/_WKWebsiteDataStoreConfiguration.mm:109
> +    return _cacheStorageDirectoryURL.get();

Is it OK to just return internal objects here, or do we need copy+autorelease?